<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/Integration/include/Integration/TestSpeechSynthesizerObserver.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_eecb7863cc5539e333a9a51474f7e532.html">Integration</a></li><li class="navelem"><a class="el" href="dir_d487033c4cf6e1e6824ef2db7b280e3e.html">include</a></li><li class="navelem"><a class="el" href="dir_84c9947eba37dd4948f5fc1406e22cb3.html">Integration</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TestSpeechSynthesizerObserver.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_test_speech_synthesizer_observer_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTSPEECHSYNTHESIZEROBSERVER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTSPEECHSYNTHESIZEROBSERVER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;chrono&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;deque&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;mutex&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;condition_variable&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_speech_synthesizer_observer_interface_8h.html">AVSCommon/SDKInterfaces/SpeechSynthesizerObserverInterface.h</a>&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">namespace </span>integration {</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">namespace </span>test {</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html">TestSpeechSynthesizerObserver</a> : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface</a> {</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a4b582212af6ceec94335c925f2c7e05c">TestSpeechSynthesizerObserver</a>();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a07eb4f64f9f09da8f4c61e737e433d73">~TestSpeechSynthesizerObserver</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a0bf5bbd2a1e0db0ee9d3705a6008960f">onStateChanged</a>(</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;        <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a> state) <span class="keyword">override</span>;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a9aa6ea481d1d8d296a8f8dacb2252b69">checkState</a>(</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;        <span class="keyword">const</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a> expectedState,</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;        <span class="keyword">const</span> std::chrono::seconds duration);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a4207ba4eb33a780748d0356bdc642886">waitForNext</a>(</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <span class="keyword">const</span> std::chrono::seconds duration);</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a> <a class="code" href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a51037eddb36285c2fc54506cacf3ec50">getCurrentState</a>();</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a> m_state;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    std::mutex m_mutex;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    std::condition_variable m_wakeTrigger;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    std::deque&lt;avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState&gt; m_queue;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;};</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;}  <span class="comment">// namespace test</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}  <span class="comment">// namespace integration</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_INTEGRATION_INCLUDE_INTEGRATION_TESTSPEECHSYNTHESIZEROBSERVER_H_</span></div><div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer_html_a4207ba4eb33a780748d0356bdc642886"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a4207ba4eb33a780748d0356bdc642886">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver::waitForNext</a></div><div class="ttdeci">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState waitForNext(const std::chrono::seconds duration)</div><div class="ttdef"><b>Definition:</b> TestSpeechSynthesizerObserver.cpp:43</div></div>
<div class="ttc" id="_speech_synthesizer_observer_interface_8h_html"><div class="ttname"><a href="_speech_synthesizer_observer_interface_8h.html">SpeechSynthesizerObserverInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer_html_a07eb4f64f9f09da8f4c61e737e433d73"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a07eb4f64f9f09da8f4c61e737e433d73">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver::~TestSpeechSynthesizerObserver</a></div><div class="ttdeci">~TestSpeechSynthesizerObserver()=default</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver</a></div><div class="ttdef"><b>Definition:</b> TestSpeechSynthesizerObserver.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer_html_a9aa6ea481d1d8d296a8f8dacb2252b69"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a9aa6ea481d1d8d296a8f8dacb2252b69">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver::checkState</a></div><div class="ttdeci">bool checkState(const avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState expectedState, const std::chrono::seconds duration)</div><div class="ttdef"><b>Definition:</b> TestSpeechSynthesizerObserver.cpp:35</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer_html_a0bf5bbd2a1e0db0ee9d3705a6008960f"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a0bf5bbd2a1e0db0ee9d3705a6008960f">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver::onStateChanged</a></div><div class="ttdeci">void onStateChanged(avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState state) override</div><div class="ttdef"><b>Definition:</b> TestSpeechSynthesizerObserver.cpp:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer_html_a51037eddb36285c2fc54506cacf3ec50"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a51037eddb36285c2fc54506cacf3ec50">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver::getCurrentState</a></div><div class="ttdeci">avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState getCurrentState()</div><div class="ttdef"><b>Definition:</b> TestSpeechSynthesizerObserver.cpp:55</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface</a></div><div class="ttdef"><b>Definition:</b> SpeechSynthesizerObserverInterface.h:28</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface_html_a8ab366983aede83468f6fecd144057fe"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_speech_synthesizer_observer_interface.html#a8ab366983aede83468f6fecd144057fe">alexaClientSDK::avsCommon::sdkInterfaces::SpeechSynthesizerObserverInterface::SpeechSynthesizerState</a></div><div class="ttdeci">SpeechSynthesizerState</div><div class="ttdef"><b>Definition:</b> SpeechSynthesizerObserverInterface.h:33</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer_html_a4b582212af6ceec94335c925f2c7e05c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1integration_1_1test_1_1_test_speech_synthesizer_observer.html#a4b582212af6ceec94335c925f2c7e05c">alexaClientSDK::integration::test::TestSpeechSynthesizerObserver::TestSpeechSynthesizerObserver</a></div><div class="ttdeci">TestSpeechSynthesizerObserver()</div><div class="ttdef"><b>Definition:</b> TestSpeechSynthesizerObserver.cpp:24</div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
